body
{
    color: #333333;
    font-family: "Roboto Condensed", sans-serif;
    background-color: #333333;
}

*
{
    box-sizing: border-box;
    transition: 0.2s ease;
}

html
{
    scroll-behavior: smooth;
}

header
{
    background-color: #4caf50;
    max-width: 980px;
    width: 100%;
    padding: 10px;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}

nav ul
{
    list-style-type: none;
}

nav ul li
{
    display: inline-block;
    padding: 15px;
    font-size: 1.5rem;
    justify-content: center;
}

nav ul li a
{
    text-decoration: none;
    color: #333333;
    transition: all 0.5s ease;
}

nav ul li a:hover
{
    color: #ffffff;
}

.hero
{
    text-align: center;
    background-color: #ffffff;
    max-width: 980px;
    width: 100%;
    padding: 10px;
    margin-left: auto;
    margin-right: auto;
}

.hero h2
{
    font-size: 2rem;
}

.hero p
{
    font-size: 1.5rem;
}

.btn 
{
    display: inline-block;
    padding: 12px 24px;
    font-size: 1.5rem;
    text-decoration: none;
    font-weight: 600;
    border-radius: 6px;
    transition: all 0.3s ease;
    margin-right: 10px;
    background-color: #4caf50;
    color: #ffffff;
    border: none;
    border: 2px solid #4caf50
}

.btn:hover
{
    background-color: #ffffff;
    color: #4caf50;
}

#about
{
    text-align: center;
    max-width: 980px;
    width: 100%;
    padding: 10px;
    margin-left: auto;
    margin-right: auto;
    background-color: #ffffff;
}

#about h2
{
    font-size: 2rem;
    color: #4caf50;
}

#about p
{
    font-size: 1.5rem;
}

#services
{
    text-align: center;
    max-width: 980px;
    width: 100%;
    padding: 10px;
    margin-left: auto;
    margin-right: auto;
    background-color: #ffffff;
}

#services h2
{
    font-size: 2rem;
    color: #4caf50;
}

#services h3
{
    font-size: 1.75rem;
}

#services p
{
    font-size: 1.5rem;
}

#contact
{
    text-align: center;
    max-width: 980px;
    width: 100%;
    padding: 10px;
    margin-left: auto;
    margin-right: auto;
    background-color: #ffffff;
}

.form-field label
{
    display: block;
    font-size: 18px;
    color: #333333;
    margin-top: 15px;
}

.form-field input
{
    max-width: 600px;
    width: 100%;
    padding: 10px;
    font-size: 16px;
    text-align: center;
    border-radius: 10px;
    border: 2px solid #4caf50;
}

.form-field textarea
{
    max-width: 600px;
    width: 100%;
    padding: 10px;
    font-size: 16px;
    text-align: center;
    resize: none;
    border-radius: 10px;
    border: 2px solid #4caf50;
    margin-top: 3px;
}

button
{
    max-width: 600px;
    width: 100%;
    padding: 10px;
    text-align: center;
    border: 2px solid #ffffff;
    background-color: #4caf50;
    color: #fff;
    font-size: 16px;
    border-radius: 10px;
    margin-top: 15px;
    transition: ease 0.3s;
}

button:hover
{
    cursor: pointer;
    border: 2px solid #4caf50;
    background-color: #ffffff;
    color: #4caf50;
}

footer
{
    text-align: center;
    max-width: 980px;
    width: 100%;
    padding: 10px;
    margin-left: auto;
    margin-right: auto;
    background-color: #4caf50;
    color: #333333;
}

/* Styl dla ekranów telefonów (max. 768px) */
@media (max-width: 768px) 
{
  body 
  {
    font-size: 16px;
    padding: 10px;
  }

  .menu 
  {
    display: block;
    text-align: center;
  }

  #services 
  {
    flex-direction: column;
  }
}
